/* makes draggable*/
function organizer(){
	$$('.drag').each(function(drag){
		new Drag.Move(drag, {
			droppables: $$('.drop'),
			handle: drag.getFirst()}
			);
		drag.addEvent('emptydrop', function(){
			this.setStyle('position', 'relative');
			this.setStyle('top', 0);
			this.setStyle('left', 0);}
		);
		drag.setStyle('position', 'relative');
		drag.setStyle('top', 0);
		drag.setStyle('left', 0);}
	);
}

function initDropZone(){
	var fx = [];
	$$('.drop').each(function(drop, index){
		fx[index] = drop.effects({transition:Fx.Transitions.Back.easeOut});
		drop.addEvents({
			'over': function(el, obj){
				this.setStyle('border', '1px solid #93B300');
				el.setStyle('z-index', '1');},
			'leave': function(el, obj){
				this.setStyle('border', 'none');
				el.setStyle('z-index', '');},
			'drop': function(el, obj){
				var i = 0;
				var children = this.getChildren();
				if(children.length == 0){
					this.appendChild(el);
				}else{						
					while (children[i] && el.getPosition().y >= children[i].getPosition().y) {
						i++;
					}
					if(i == 0){
						el.injectBefore(children[i]);
					}else{
						el.injectAfter(children[i-1]);	
					}
				}
				if(el.tagName == "A") {
					var parameter_word = 'None'
					if(el.getAttribute('ad:parameter')=='1'){
						parameter_word = prompt("Give parameter keyword","");
					}
					addResource(el.getAttribute('ad:short_name'), parameter_word,el,  el.getParent().id.substring(3), i);
				}
				el.setStyle('position', 'relative');
				el.setStyle('top', 0);
				el.setStyle('left', 0);
				/* only save layout when moving layout saved by add later */
				if(el.tagName != "A"){ 
					saveLayout();
				}
				fx[index].start({
					'border-color' : ['#93B300', '#fff']
				});
			} /*end on drop*/
		});
	}); /* end drop iteration */
}