function showMoreTagTalk(link, parameter_word){
    var offset = link.getPrevious().getFirst().getChildren().length;
    var url = "resources/tagtalk/getTagTalk";
    new XHR( {
		method: 'post',
                onSuccess: function(response){
link.getPrevious().getChildren()[0].innerHTML+=response;
                            }
	}).send(url, 'parameter_word='+parameter_word+'&offset='+offset+'&number=5');
}

function showMoreRss(resource_name){
    var offset = $(resource_name).getChildren().length;
    var url = "resources/getItems";
    new XHR( {
		method: 'post',
                onSuccess: function(response){
$(resource_name).innerHTML += response
                            }
	}).send(url, 'resource_name='+resource_name+'&offset='+offset+'&nb_items=10');
}

function showLessRss(resource_name){
   for(var i=0;i<10;i++){
   $(resource_name).getLast().remove();
}
}

function addResource(short_name, parameter_word, element, position_column, position_row){

    var url = "subscriptions/addSubscription";
    new XHR( {
		method: 'post',
                onSuccess: function(response){
var div = document.createElement('div');
div.innerHTML = response;
element.replaceWith(div.getChildren()[0]);
filterTag('none','none');
saveLayout();
                            }
	}).send(url, 'short_name='+short_name
                     +'&enabled=1&position_column='+position_column
                     +'&position_row='+position_row
                     +'&parameter_word='+parameter_word
                     +'&ranking=0');
}

function removeResource(link, short_name, parameter_word){
    var url = "subscriptions/removeSubscription";
    new XHR( {
		method: 'post',
                onSuccess: function(response){
$(link).getParent().getParent().remove();
filterTag('none','none');
saveLayout();
                            }
	}).send(url, 'short_name='+short_name
                     +'&parameter_word='+parameter_word);
}

function updateResource(id, position_column, position_row){
    var url = "subscriptions/move";
    new XHR( {
		method: 'post'
	}).send(url, 'position_column='+position_column
                     +'&position_row='+position_row
                     +'&id='+id);
    return false;
}

function addTag(form){
   form.send({
		onComplete: function(response) {
form.getParent().innerHTML = response;
filterTag('none','none');
		}
	}
    );
    return false;
}

function addTagTalk(form){
   form.send({
		onComplete: function(response) {
var div = new Element('div');
div.innerHTML = response;
form.getParent().replaceWith(div.getChildren()[0])
		}
	}
    );
    return false;
}

function removeTag(link, tag_name, short_name){
    var url = "tags/remove";
    new XHR( {
		method: 'post',
                onSuccess: function(response){
link.getParent().getParent().getParent().innerHTML = response;
filterTag('none','none');
                  }
	}).send(url, 'short_name='+short_name
                     +'&tag_name='+tag_name);
    return false;
}

function voteResource(link, ranking, short_name, parameter_word){
    var url = "subscriptions/rank";
    new XHR( {
		method: 'post',
                onSuccess: function(response){
link.getParent().getParent().innerHTML = response;
                  }
	}).send(url, 'ranking='+ranking
                     +'&short_name='+short_name
                     +'&parameter_word='+parameter_word);
    return false;
}

function filterTag(tag_name,add){
    var url = "tags/filterTag";
    new XHR( {
		method: 'post',
                onSuccess: function(response){
$('resource-selector').innerHTML = response;
organizer();
                  }
	}).send(url, 'tag='+tag_name+'&add='+add);
    return false;
}

function saveLayout(){
var columns = $$('.col');
   for(var col=0;col<columns.length;col++){
      var rows=columns[col].getChildren();
      for(var row=0;row<rows.length;row++){
          updateResource(rows[row].id, col, row);
      }
   }
}